; *************************************************************************************************
; *
; *	Title:	MGCURSOR.ASM
; *	Copyright (c) January 1993, Ryu Consulting
; *	Written by Rahner James
; *
; *	This file contains all the functions for setting the graphics cursor
; *
; *************************************************************************************************

	include	mouse.inc


.data
	extern	_Current_Mouse_Pointer:word

.code
; *************************************************************************************************
; *
; *	int MOUSE_SET_GCURSOR( unsigned short FAR *CURSOR_PTR, int HOTX, int HOTY )
; *	Sets the graphics cursor
; *
; *	Given:
; *		CURSOR_PTR -> array that contains the 32 entries, 1st 16 are screen mask, 2nd are cursor
; *		HOTX = X location within cursor of the hot spot
; *		HOTY = Y location within cursor of the hot spot
; *
; *	Returns:
; *		Always 0
; *
; *************************************************************************************************
mouse_set_gcursor proc, cursor_ptr:dword, hotx:word, hoty:word

	les	dx, cursor_ptr
	mov	ax, es
	or	ax, dx			; See if it's a bogus pointer
	jz	@F

	mov	ax, @Data
	mov	ds, ax

	mov	bx, hotx
	mov	cx, hoty

	mov	_Current_Mouse_Pointer, dx
	mov	_Current_Mouse_Pointer+2, ds
	mov	_Current_Mouse_Pointer+4, bx
	mov	_Current_Mouse_Pointer+6, cx
	MOUSE	9

	xor	ax, ax
@@:	ret

mouse_set_gcursor endp

	end



