; *************************************************************************************************
; *
; *	Title:	MGOTOXY.ASM
; *	Copyright (c) January 1993, Ryu Consulting
; *	Written by Rahner James
; *
; *	This file contains all code for setting current mouse position
; *
; *************************************************************************************************

	include	mouse.inc


.code
; *************************************************************************************************
; *
; *	int MOUSE_GOTOXY( int X, int Y )
; *	Moves the mouse cursor to location X,Y
; *
; *	Given:
; *		X = the X coordinate
; *		Y = the Y coordinate
; *
; *	Returns:
; *		Always 0
; *
; *************************************************************************************************
mouse_gotoxy proc, x:word, y:word

	mov	cx, x			; CX = X coordinate
	mov	dx, y
	MOUSE	4
	xor	ax, ax

	ret

mouse_gotoxy endp

	end





