; *************************************************************************************************
; *
; *	Title:	MHIDE.ASM
; *	Copyright (c) January 1993, Ryu Consulting
; *	Written by Rahner James
; *
; *	This file contains all the code for making the mouse cursor invisible
; *
; *************************************************************************************************

	include	mouse.inc


.code
; *************************************************************************************************
; *
; *	int MOUSE_HIDE( void )
; *	Makes the mouse cursor invisible
; *
; *	Given:
; *		nothing
; *
; *	Returns:
; *		Always 0
; *
; *************************************************************************************************
if @Datasize
mouse_hide proc uses ds

	mov	ax, @Data
	mov	ds, ax
else
mouse_hide proc
endif

	cmp	_Mouse_Button_Count, 0
	jz	@F

	MOUSE	2
@@:	xor	ax, ax			; Return good

	ret

mouse_hide endp

	end



