; *************************************************************************************************
; *
; *	Title:	MMICKEY.ASM
; *	Copyright (c) January 1993, Ryu Consulting
; *	Written by Rahner James
; *
; *	This file contains the functions that set the Mickey/pixel ratio
; *
; *************************************************************************************************

	include	mouse.inc


.code
; *************************************************************************************************
; *
; *	int MOUSE_SET_RATIO( int HOR, int VERT )
; *	Sets the mickey/pixel ratio for the horizontal and vertical coordinates
; *
; *	Given:
; *		HOR = ratio for horizontal
; *		VERT = ratio for Vertical
; *
; *	Returns:
; *		Always 0
; *
; *************************************************************************************************
mouse_set_ratio proc, hor:word, vert:word

	mov	cx, hor			; CX = horizontal mickey/pixel ratio
	mov	dx, vert
	MOUSE	15
	xor	ax, ax			; Return good

	ret

mouse_set_ratio endp

	end



