; *************************************************************************************************
; *
; *	Title:	MMOTION.ASM
; *	Copyright (c) January 1993, Ryu Consulting
; *	Written by Rahner James
; *
; *	This file contains all the functions to get the motion counters
; *
; *************************************************************************************************

	include	mouse.inc


.data
	public	_Mouse_Motion_X, _Mouse_Motion_Y

_Mouse_Motion_X	dw	0
_Mouse_Motion_Y	dw	0


.code
; *************************************************************************************************
; *
; *	int MOUSE_GET_MOTION( void )
; *	Loads the motion counters with relative motion since the last call to this function
; *
; *	Given:
; *		nothing
; *
; *	Returns:
; *		Always 0
; *		_Mouse_Motion_X & _Mouse_Motion_Y are loaded
; *
; *************************************************************************************************
mouse_get_motion proc

if @Datasize
	push	ds
	mov	ax, @Data
	mov	ds, ax
endif
	MOUSE	11
	mov	_Mouse_Motion_X, cx
	mov	_Mouse_Motion_Y, dx
	xor	ax, ax			; Return good

if @Datasize
	pop	ds
endif

	ret

mouse_get_motion endp

	end



