; *************************************************************************************************
; *
; *	Title:	MTCURSOR.ASM
; *	Copyright (c) January 1993, Ryu Consulting
; *	Written by Rahner James
; *
; *	This file contains all the functions for setting the text cursor
; *
; *************************************************************************************************

	include	mouse.inc


.code
; *************************************************************************************************
; *
; *	int MOUSE_SET_TCURSOR( int AX, int DX, int BX )
; *	Sets the text cursor
; *
; *	Given:
; *		AX = cursor type, 0 is software text cursor, 1 is hardware
; *		DX = soft:screen mask value, hard:scan line start
; *		BX = soft:cursor mask value, hard:scan line stop
; *
; *	Returns:
; *		Always 0
; *
; *************************************************************************************************
mouse_set_tcursor proc, ctype:word, smask:word, cmask:word

	mov	cx, smask		; CX = screen mask/scan line start
	mov	dx, cmask		; DX = cursor mask/scan line stop
	mov	bx, ctype		; BX = cursor type
	MOUSE	10

	xor	ax, ax
	ret

mouse_set_tcursor endp

	end




