#include <rjuser.h>
#include "event.h"





main( int argc, char *argv[] )
{
	struct
	{
		ul	network;
		uc	node[6];
	} FAR *np;

	int		handle;
	ui		filesize, i;

	print(	"Include Node Number Program" );
	if ( argc != 2 )
	{
		print( "\nCommand line syntax: INCNODE [destination filename]" );
		exit( 2 );
	}
	if ( ipx_init(10) )
	{
		print( "\nIPX is not present in this system" );
		exit( 1 );
	}

/*
** Read the file in
*/
	if ( (handle=dos_open(argv[1],OPEN_RW+OPEN_CREATE)) < 0 )
	{
		print( "\nError %d opening %s", handle, argv[1] );
		exit( 3 );
	}
	np = dos_alloc( 50000 );
	filesize = dos_read( handle, np, 32000 );
	filesize /= sizeof(*np);

	for ( i=0 ; i<filesize ; ++i )
	{
		if ( memcmp(&_Our_Address,np+i,sizeof(*np)) == 0 )
			break;
	}
	if ( i == filesize )
		dos_write( handle, &_Our_Address, sizeof(*np) );
	dos_close( handle );

	print( "\nAddress written successfully" );
}
