###################################################################################################
##
##	Title:	MOUSE.MAK
##
##	This is the make file for the RJMOUS_?.LIB library file
##
###################################################################################################

##
## Inferences
##

.asm.obj :
	ml /c -DLARGEMODEL $*.asm
	lib eventl.lib -+$*.obj;
	ml /c $*.asm
	lib events.lib -+$*.obj;

.c.obj :
	cl /c /AL /Gs /G2 $*.c
	lib eventl.lib -+$*.obj;
	cl /c /Gs /G2 $*.c
	lib events.lib -+$*.obj;

##
## Assembly language files
##

event.obj :	event.asm

farset.obj :	farset.asm

ipxalloc.obj :	ipxalloc.asm

ipxcall.obj :	ipxcall.asm

marrow.obj :	marrow.asm

mbounds.obj :	mbounds.asm

mcross.obj :	mcross.asm

mfinger.obj :	mfinger.asm

mgcursor.obj :	mgcursor.asm

mgetxy.obj :	mgetxy.asm

mgotoxy.obj :	mgotoxy.asm

mhide.obj :	mhide.asm

mhour.obj :	mhour.asm

minit.obj :	minit.asm

mmickey.obj :	mmickey.asm

mmotion.obj :	mmotion.asm

mpoint.obj :	mpoint.asm

mregion.obj :	mregion.asm

mreset.obj :	mreset.asm

mshow.obj :	mshow.asm

mspeed.obj :	mspeed.asm

mstatus.obj :	mstatus.asm

mstop.obj :	mstop.asm

mtcursor.obj :	mtcursor.asm

mup.obj :	mup.asm

mvector.obj :	mvector.asm

mwait.obj :	mwait.asm

netevent.obj :	netevent.asm

process.obj :	process.asm

SEMAPHOR.obj :	semaphor.asm

GETCOUNT.obj :	getcount.asm

GETVALUE.obj :	getvalue.asm

WAITSEMA.obj :	waitsema.asm

SIGLSEMA.obj :	siglsema.asm


query.obj :	query.c

sap.obj :	sap.c

