; *************************************************************************************************
; *
; *	Title:	MREGION.ASM
; *	Copyright (c) January 1993, Ryu Consulting
; *	Written by Rahner James
; *
; *	This file contains all the functions for setting a region within which the mouse will be turned off
; *
; *************************************************************************************************

	include	mouse.inc


.code
; *************************************************************************************************
; *
; *	int MOUSE_UPDATE_REGION( int CX, int DX, int SI, int DI )
; *	Sets the X,Y boundaries for a region in which to turn off the mouse
; *
; *	Given:
; *		CX,DX = upper left corner of the boundary
; *		SI,DI = lower right corner of the boundary
; *
; *	Returns:
; *		Always 0
; *
; *************************************************************************************************
mouse_update_region proc uses di si, x1:word, y1:word, x2:word, y2:word

	mov	cx, x1
	mov	dx, y1
	mov	si, x2
	mov	di, y2
	MOUSE	16
	xor	ax, ax
	ret

mouse_update_region endp

	end



