; *************************************************************************************************
; *
; *	Title:	MRESET.ASM
; *	Copyright (c) January 1993, Ryu Consulting
; *	Written by Rahner James
; *
; *	This file contains all the code for reseting the mouse
; *
; *************************************************************************************************

	include	mouse.inc


.code
; *************************************************************************************************
; *
; *	int MOUSE_RESET( void )
; *	Resets the mouse internals but does not reset the hardware
; *
; *	Given:
; *		nothing
; *
; *	Returns:
; *		0 if mouse installed, !0 if not
; *
; *************************************************************************************************
mouse_reset proc

	MOUSE	21h			; MOUSE Software Reset command
	inc	ax			; AX == -1 if there is a mouse installed
	ret

mouse_reset endp

	end


