; *************************************************************************************************
; *
; *	Title:	MSPEED.ASM
; *	Copyright (c) January 1993, Ryu Consulting
; *	Written by Rahner James
; *
; *	This file contains all the functions for setting the mouse speed
; *
; *************************************************************************************************

	include	mouse.inc


.code
; *************************************************************************************************
; *
; *	int MOUSE_SET_SPEED( int AX )
; *	Sets the double speed threshold for the mouse
; *
; *	Given:
; *		AX = maximum number of mickeys per second that will be accepted
; *
; *	Returns:
; *		Always 0
; *
; *************************************************************************************************
mouse_set_speed proc, speed:word

	mov	dx, speed
	MOUSE	19
	xor	ax, ax
	ret

mouse_set_speed endp

	end



