; *************************************************************************************************
; *
; *	Title:	MVECTOR.ASM
; *	Copyright (c) January 1993, Ryu Consulting
; *	Written by Rahner James
; *
; *	This file contains all the functions to support setting the mouse vector
; *
; *************************************************************************************************

	include	mouse.inc


.code
; *************************************************************************************************
; *
; *	int MOUSE_SET_VECTOR( void (FAR *DX:AX)(), int BX )
; *	Sets a vector to the function that will be called if a mouse event occurs
; *
; *	Given:
; *		DX:AX -> function to call
; *		BX = conditional mask to use for calling the function
; *
; *	Returns:
; *		Always returns 0
; *
; *************************************************************************************************
if @Datasize
mouse_set_vector proc uses ds, function:dword, cmask:word

	mov	cx, @Data
	mov	ds, cx
else
mouse_set_vector proc, function:dword, cmask:word
endif

	cmp	_Mouse_Button_Count, 0
	jz	@F

	les	dx, function
	mov	ax, es
	or	ax, dx			; See if NULL
	jz	done

	mov	cx, cmask		; CX = call mask
	MOUSE	12
@@:	xor	ax, ax

done:	ret

mouse_set_vector endp

	end


